<?php
$block_titling_datas = get_field('block_titling_datas');
?>

<section class="section_latest_news">
	<div class="section_titling">
		<h2 class="section_titling__title"><?php echo $block_titling_datas['title'] ?></h2>
		<p class="section_titling__subtitle"><?php echo $block_titling_datas['subtitle'] ?></p>
	</div>

	<div class="articles_container">
		<?php

		$args = wp_get_recent_posts(array(
			'post_type' => 'post',
			'orderby' => 'post_date',
			'order' => 'DESC',
			'numberposts' => 4, // Number of recent posts thumbnails to display
			'post_status' => 'publish' // Show only the published posts
		));
		$recent_posts = new WP_Query($args);


		foreach ($recent_posts->posts as $key => $post) {
			$post_thumbnail = get_the_post_thumbnail($post->ID, 'full', array('class' => 'card-news__thumbnail'));
			$post_tags = get_the_tags($post->ID);

			get_template_part(
				'template-components/cards/card-news',
				null,
				array(
					'card_variant' => 'activite',
					'post_ID' => $post->ID,
					'post_title' => $post->post_title,
					'post_thumbnail' => $post_thumbnail,
					'post_tags' => $post_tags,
				)
			);
		}
		?>

	</div>

</section>